Journal EntriesDelete journal entry attachment

Delete journal entry attachment

DELETE/partners/journal-entries/{uuid}/attachments/{attachmentUuid}

Removes one attachment from a manual journal entry.

HMAC signature + Bearer access token
Try this request

Path parameters

uuiduuidrequired

A line id, the posting `journalLinkUuid`, or the journal entry header id.

attachmentUuiduuidrequired

The attachment UUID from List journal entry attachments.

Responses

200Attachment removed.
404Journal entry or attachment not found.
401Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. Troubleshoot
403The credential does not have access to this workspace or resource. Troubleshoot
429Rate limit exceeded (100 requests per minute per user of each app, or 10,000 per minute per app). Retry after the Retry-After header. Troubleshoot
DELETEhttps://api.getcount.com/partners/journal-entries/{uuid}/attachments/{attachmentUuid}
Request
import crypto from 'node:crypto';

const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;

const method = 'DELETE';
const signingPath = '/journal-entries/3fa85f64-5717-4562-b3fc-2c963f66afa6/attachments/3fa85f64-5717-4562-b3fc-2c963f66afa6';
const timestamp = Math.floor(Date.now() / 1000).toString();
const bodyString = '';

const bodyHash = '';
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');

const response = await fetch(`${BASE_URL}/partners/journal-entries/3fa85f64-5717-4562-b3fc-2c963f66afa6/attachments/3fa85f64-5717-4562-b3fc-2c963f66afa6`, {
  method,
  headers: {
    'x-client-id': CLIENT_ID,
    'x-timestamp': timestamp,
    'x-signature': signature,
    Authorization: `Bearer ${ACCESS_TOKEN}`,
  },
});

console.log(await response.json());
Response · 200
{
  "status": "success",
  "message": "Success on deleting JES attachment by journal entry header.",
  "data": {
    "success": true
  }
}